Downloading legacy versions

iFlicks 2 is a available for sale since late 2013 and iFlicks 1.x has been out of sale since end of 2014.

If you still require iFlicks 1.4 to run on a legacy system you can download the latest version here. Just note that this version is not supported anymore and is not compatible with macOS 10.10 and up.

Users with a valid license for iFlicks 1 or 2 can contact support@iflicksapp.com to receive a iFlicks 1.4 license.

Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk